Bug 258442

Summary: games/freecell-solver: unbreak on various 32 bit platforms
Product: Ports & Packages Reporter: Robert Clausecker <fuz>
Component: Individual Port(s)Assignee: Mikael Urankar <mikael>
Status: Closed FIXED    
Severity: Affects Some People CC: danilo, mikael
Priority: --- Flags: fuz: maintainer-feedback-
fuz: merge-quarterly?
Version: Latest   
Hardware: arm   
OS: Any   
Attachments:
Description Flags
games/freecell-solver: unbreak on various 32 bit platforms fuz: maintainer-approval+

Description Robert Clausecker 2021-09-11 21:56:18 UTC
Created attachment 227846 [details]
games/freecell-solver: unbreak on various 32 bit platforms

The port requires GMP on platforms that lack __int128, i.e. 32 bit platforms, but LIB_DEPENDS for libgmp is only present for i386. This patch extends the existing i386 special case to known 32 bit platforms so the port builds on armv7 FreeBSD and hopefully others.

Tested on armv7 FreeBSD 13.0-RELEASE.
Comment 1 Robert Clausecker 2021-09-28 11:02:13 UTC
Comment on attachment 227846 [details]
games/freecell-solver: unbreak on various 32 bit platforms

Maintainer timeout.
Comment 2 Robert Clausecker 2021-09-28 11:02:25 UTC
Maintainer timeout.
Comment 3 Robert Clausecker 2021-10-08 00:16:06 UTC
Comment on attachment 227846 [details]
games/freecell-solver: unbreak on various 32 bit platforms

implicit approval by maintainer timeout
Comment 4 commit-hook freebsd_committer 2021-10-13 14:35:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cb25b8c9732d9bd51143dfcb533cd7e49fe05d88

commit cb25b8c9732d9bd51143dfcb533cd7e49fe05d88
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-11 21:53:39 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-10-13 14:28:41 +0000

    games/freecell-solver: Unbreak on 32 bit platforms.

    The port requires GMP on platforms that lack __int128, i.e. 32 bit platforms,
    but LIB_DEPENDS for libgmp is only present for i386.
    This patch extends the existing i386 special case to known 32 bit platforms so
    the port builds on armv7 FreeBSD and hopefully others.

    PR:             258442
    Approved by:    danilo (maintainer timeout)

 games/freecell-solver/Makefile | 4 ++++
 1 file changed, 4 insertions(+)
Comment 5 commit-hook freebsd_committer 2021-10-13 14:37:12 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=40fca1480b8a12b4faf6a36eca84c4ee6530c37f

commit 40fca1480b8a12b4faf6a36eca84c4ee6530c37f
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-11 21:53:39 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-10-13 14:36:50 +0000

    games/freecell-solver: Unbreak on 32 bit platforms.

    The port requires GMP on platforms that lack __int128, i.e. 32 bit platforms,
    but LIB_DEPENDS for libgmp is only present for i386.
    This patch extends the existing i386 special case to known 32 bit platforms so
    the port builds on armv7 FreeBSD and hopefully others.

    PR:             258442
    Approved by:    danilo (maintainer timeout)

    (cherry picked from commit cb25b8c9732d9bd51143dfcb533cd7e49fe05d88)

 games/freecell-solver/Makefile | 4 ++++
 1 file changed, 4 insertions(+)